<ion-menu [content]="content" side="left" id="mainMenu">
  <ion-header>
    <ion-toolbar>
      <ion-title>Menu</ion-title>
    </ion-toolbar>
  </ion-header>

  <ion-content>
    <ion-list>
      <ion-list-header><ion-icon name="apps"></ion-icon> Actions</ion-list-header>
      <button menuClose ion-item (click)="requestLocation()" [ngClass]="{'active-ion-list-button':locationKnown}">
          <ion-icon name="locate" item-right></ion-icon>   Show my Location on Map
      </button>
      <button menuClose ion-item (click)="reset()">
          <ion-icon name="refresh" item-right></ion-icon>   Reset
      </button>
    </ion-list> 
    <ion-list>
      <ion-list-header><ion-icon name="home"></ion-icon> Page</ion-list-header>
      <button menuClose ion-item *ngFor="let p of pages" (click)="openPage(p)" [ngClass]="{'active-ion-list-button':isPageActive(p)}">
        <ion-icon name="{{pageIcons[p.title]}}" item-right></ion-icon>   {{p.title}}
      </button>
    </ion-list>
    <ion-list *ngIf="listActive">
      <ion-list-header><ion-icon name="reorder"></ion-icon> Sort Order</ion-list-header>
      <button menuClose ion-item (click)="applySort('alphabetical')" [ngClass]="{'active-ion-list-button':sort === 'alphabetical'}">
        <!--ion-icon name="reorder"></ion-icon-->   Alphabetical
      </button>
      <button menuClose ion-item (click)="applySort('distance')" [ngClass]="{'active-ion-list-button':sort === 'distance'}">
        <!--ion-icon name="reorder"></ion-icon-->   Distance
      </button>
    </ion-list>
    <ion-list>
      <ion-list-header><ion-icon name="funnel"></ion-icon> Filter</ion-list-header>
      <ion-item menuClose ion-item *ngFor="let filter of data.GetTopFilters()">
        <ion-label>{{filter.Name}}</ion-label>
        <ion-checkbox [(ngModel)]="filter.IsActive" (click)="applyFilter(filter)"></ion-checkbox>
      </ion-item>
      <button ion-item (click)="toggleHideExtra()">
        <ion-icon [hidden]="!hideExtra" name="add" item-right></ion-icon><ion-icon [hidden]="hideExtra" name="remove" item-right></ion-icon>   More...
      </button>
      <ion-item [hidden]="hideExtra" menuClose ion-item *ngFor="let filter of data.GetAmenityFilters()">
        <ion-label>{{filter.Name}}</ion-label>
        <ion-checkbox [(ngModel)]="filter.IsActive" (click)="applyFilter(filter)"></ion-checkbox>
      </ion-item>
    </ion-list>
  </ion-content>
</ion-menu>

<ion-menu [content]="content" side="right" id="parkDetails" (ionClose)="menuClosed()" [swipeEnabled]="false">
  <ion-header>
    <ion-toolbar>
      <ion-title>{{data.ActivePark.Name}}</ion-title>
    </ion-toolbar>
    <ion-list>
      <ion-item *ngIf='!(data.ActivePark.Address == null || data.ActivePark.Address == "")'>
        <p>
          {{data.ActivePark.Address}}
        </p>
      </ion-item>
      <ion-item *ngIf='!(data.ActivePark.Description == null || data.ActivePark.Description == "")'>
        <em>
          {{data.ActivePark.Description}}
        </em>
      </ion-item>
      <ion-item *ngIf='!(data.ActivePark.URL == null || data.ActivePark.URL == "")'>
        <p><a [attr.href]='data.ActivePark.URL' target="_blank">
          Homepage
        </a></p>
      </ion-item>
      <ion-item *ngIf='!(data.ActivePark.DirectionsURL == null || data.ActivePark.DirectionsURL == "")'>
        <p><a [attr.href]='data.ActivePark.DirectionsURL' target="_blank">
          {{data.ActivePark.DirectionsText}}
        </a></p>
      </ion-item>
      <ion-item *ngIf="data.ActivePark.AlternateNames != null && data.ActivePark.AlternateNames.length > 0">
        <h5>AKA:</h5>
        <ul>
          <li *ngFor="let name of data.ActivePark.AlternateNames">
            {{name}}
          </li>
        </ul>
      </ion-item>
      <ion-item *ngIf="data.ActivePark.Amenities !== null && data.ActivePark.Amenities.length > 0">
        <h5>Amenities:</h5>
        <ul>
          <li *ngFor="let amenity of data.ActivePark.Amenities">
            {{amenity.Name}}
          </li>
        </ul>
      </ion-item>
    </ion-list>
  </ion-header>
</ion-menu>

<!-- Disable swipe-to-go-back because it's poor UX to combine STGB with side menus -->
<ion-nav [root]="rootPage" #content swipeBackEnabled="false"></ion-nav>